input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
	-webkit-box-shadow: 0 0 0px 1000px rgba(255,255,255,0) inset !important;
	-webkit-text-fill-color: var(--text) !important;
	background-clip: padding-box;
	transition: background-color 5000s ease-in-out 0s;
}
input:-moz-autofill {
	box-shadow: 0 0 0px 1000px rgba(255,255,255,0) inset !important;
	-moz-text-fill-color: var(--text) !important;
}
input::placeholder {
	color: var(--text);
}
:root{
	--hoverColor: #00ff78;
	--panel-border: #9597ff47;
	--panel-bg: rgba(140,141,255,0.21);
	--accent: #9597ff;
	--text: #b9bbff;
	--mono: monospace;
}
html, body{height:100%;width:100%;font-family:Arial, sans-serif;background:#292b7d;color:var(--text);margin:0;padding:0;overflow:hidden}
#bgCanvas{position:fixed;inset:0;width:100%;height:100%;z-index:0;display:block;}
.login-wrapper{
	position:relative;
	z-index:1;
	display:flex;
	justify-content:center;
	align-items:center;
	height:100vh;
}
.login-box {
	background: var(--panel-bg);
	border: 1px solid var(--panel-border);
	border-radius: 20px;
	padding: 40px;
	width: 350px;
	text-align:center;
	backdrop-filter: blur(10px);
	box-shadow: 0px 0px 6px #292a5f91;
	height: 130px;
}
.login-box h1 {
	margin-bottom: 20px;
	color: var(--accent);
	font-family: var(--mono);
}
.login-box input {
	width:100%;
	padding: 10px;
	margin-bottom: 15px;
	border-radius: 10px;
	border:1px solid var(--panel-border);
	background: rgba(255,255,255,0.05);
	color: var(--text);
	font-size:16px;
	outline: none;
	text-align: center;
	padding-left: 0;
    font-weight: 100;
    font-family: system-ui;
	transition: all 0.5s;
}
.login-box input:hover {
    background-color: #84fff536;
    color: #b9bbff;
}

.login-box button {
    padding: 10px 20px;
    border: 1px solid var(--panel-border);
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.05);
    color: #b9bbff;
    cursor: pointer;
    font-size: 16px;
	text-align: center;
    font-weight: 100;
    font-family: system-ui;
	box-shadow: none;
    transition: all 0.5s;
}

.login-box button:hover {
    background-color: #84fff536;
    color: #b9bbff;
}


.login-box .message {
    margin-top: 10px;
    color: #9d9fffab;
    font-size: 14px;
    z-index: 10000;
    position: relative;
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    font-size: 15px;
    margin-top: 10px;
}

@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}